Index: /main/trunk/release-kits/bin/rk
===================================================================
--- /main/trunk/release-kits/bin/rk	(revision 23492)
+++ /main/trunk/release-kits/bin/rk	(revision 23493)
@@ -41,5 +41,5 @@
 
 #make sure ant has enough memory
-export ANT_OPTS=-Xmx800M
+export ANT_OPTS=-Xmx1000M
 
 #create the command
Index: /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23492)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23493)
@@ -158,5 +158,5 @@
 			
 			<mkdir dir="products"/>
-			<copy file="${basedir}/compiled/server.exe" tofile="${basedir}/products/server-${version}.exe"/>
+			<copy file="${basedir}/compiled/server.exe" tofile="${basedir}/products/server-${version}${version-extra}.exe"/>
 			<move file="${basedir}/compiled/server.exe" todir="${basedir}/compiled/bin/windows"/>
 
Index: /main/trunk/release-kits/kits/rk2/ant-scripts/create-cdrom-components.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/create-cdrom-components.xml	(revision 23492)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/create-cdrom-components.xml	(revision 23493)
@@ -136,5 +136,5 @@
 			</exec>
 			<exec executable="link" dir="cdrom/build">
-				<arg line="/OUT:../dist/Greenstone-${version}-windows.exe gdi32.lib advapi32.lib shell32.lib user32.lib wrapper.obj wrapper.RES"/>
+				<arg line="/OUT:../dist/Greenstone-${version}${version-extra}-windows.exe gdi32.lib advapi32.lib shell32.lib user32.lib wrapper.obj wrapper.RES"/>
 			</exec>
 
@@ -150,5 +150,5 @@
 			<echo level="info">link the compiled code</echo>
 			<exec executable="g++" dir="cdrom/build">
-				<arg line="-static -static-libgcc -o ../dist/Greenstone-${version}-linux wrapper.o"/>
+				<arg line="-static -static-libgcc -o ../dist/Greenstone-${version}${version-extra}-linux wrapper.o"/>
 			</exec>
 
@@ -158,14 +158,14 @@
 			<mkdir dir="wrapped-installer/cdrom"/>
 			<!-- create app for cdrom installer -->
-			<copy todir="cdrom/dist/Greenstone-${version}-MacOS.app"><fileset dir="${rk.home}/shared/mac/Wrapper.app"/></copy>
-			<copy todir="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/Resources" file="${rk.home}/shared/core/icon/icon.icns"/>
-			<chmod file="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/MacOS/JavaApplicationStub" perm="+x"/>
+			<copy todir="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app"><fileset dir="${rk.home}/shared/mac/Wrapper.app"/></copy>
+			<copy todir="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/Resources" file="${rk.home}/shared/core/icon/icon.icns"/>
+			<chmod file="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/MacOS/JavaApplicationStub" perm="+x"/>
 
 			<!-- copy bundled files -->
-			<copy todir="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/Resources/Java" file="${basedir}/installer/cdrom.jar"/>
+			<copy todir="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/Resources/Java" file="${basedir}/installer/cdrom.jar"/>
 
 			<!-- substitute in real values -->
-			<rsr file="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/Info.plist" pattern="@jar@" replacement="cdrom.jar"/>
-			<rsr file="cdrom/dist/Greenstone-${version}-MacOS.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
+			<rsr file="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/Info.plist" pattern="@jar@" replacement="cdrom.jar"/>
+			<rsr file="cdrom/dist/Greenstone-${version}${version-extra}-MacOS.app/Contents/Info.plist" pattern="@version@" replacement="${version}"/>
 			
 		</if></else></if></else></if>
@@ -176,5 +176,5 @@
 		<!-- (windows) -->
 		<if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
-			<tar destfile="products/cdrom-components-${version}-windows.tar.gz" compression="gzip">
+			<tar destfile="products/cdrom-components-${version}${version-extra}-windows.tar.gz" compression="gzip">
 				<tarfileset dir="cdrom/dist">
 					<include name="**/*"/>
@@ -183,5 +183,5 @@
 				</tarfileset>
 			</tar>
-			<tar destfile="products/cdrom-components-${version}-full-windows.tar.gz" compression="gzip">
+			<tar destfile="products/cdrom-components-${version}${version-extra}-full-windows.tar.gz" compression="gzip">
 				<tarfileset dir="cdrom/dist">
 					<include name="**/*"/>
@@ -195,5 +195,5 @@
 			<exec dir="cdrom/dist" executable="bash">
 				<arg value="-c"/>
-				<arg value="tar -czf ../../products/cdrom-components-${version}-${rk.os}.tar.gz *"/>
+				<arg value="tar -czf ../../products/cdrom-components-${version}${version-extra}-${rk.os}.tar.gz *"/>
 			</exec>
 		</if></else></if>
Index: /main/trunk/release-kits/shared/core/ant-scripts/create-installer.xml
===================================================================
--- /main/trunk/release-kits/shared/core/ant-scripts/create-installer.xml	(revision 23492)
+++ /main/trunk/release-kits/shared/core/ant-scripts/create-installer.xml	(revision 23493)
@@ -120,5 +120,5 @@
 		<rsr>
 			<fileset dir="${basedir}/installer" includes="*.xml"/>
-			<job pattern="@version@" replacement="${version}"/>
+			<job pattern="@version@" replacement="${version}${version-extra}"/>
 			<job pattern="@component.size.core@" replacement="${component.size.core}"/>
 			<job pattern="@component.size.tomcat@" replacement="${component.size.tomcat}"/>
@@ -142,5 +142,5 @@
 		<rsr>
 			<fileset dir="${basedir}/installer/classes/resources" includes="*.properties"/>
-			<job pattern="@version@" replacement="${version}"/>
+			<job pattern="@version@" replacement="${version}${version-extra}"/>
 			<job pattern="@version.major@" replacement="${version.major}"/>
 			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
@@ -167,5 +167,5 @@
 
 		<!-- create insaller jar with ant-installer's ant task -->
-		<installer file="installer/Greenstone-${version}-${os.suffix}.jar"
+		<installer file="installer/Greenstone-${version}${version-extra}-${os.suffix}.jar"
 			compress="true"
 			extractType="NonExtractor"
Index: /main/trunk/release-kits/shared/core/ant-scripts/shared.xml
===================================================================
--- /main/trunk/release-kits/shared/core/ant-scripts/shared.xml	(revision 23492)
+++ /main/trunk/release-kits/shared/core/ant-scripts/shared.xml	(revision 23493)
@@ -95,4 +95,6 @@
 		<property name="branch.tag.version" value="" />
 
+		<property name="version-extra" value="" />
+
 		<if><bool><equals arg1="${branch.tag.name}" arg2="trunk" /></bool>
 
@@ -188,5 +190,5 @@
 
 		<!-- show important properties -->
-		<echo level="info">Version (version): ${version}</echo>
+		<echo level="info">Version (version): ${version}${version-extra}</echo>
 		<echo level="info">Major Version (version.major): ${version.major}</echo>
 		<echo level="info">Branch Path (branch.path): ${branch.path}</echo>
@@ -270,13 +272,13 @@
 
 		<if><bool><available file="${gsdl.basedir}/common-src/src/lib/gsdlconf.h"/></bool>
-			<rsr file="${gsdl.basedir}/common-src/src/lib/gsdlconf.h" pattern="(#define GSDL_VERSION) &quot;.*&quot;" replacement="$1 &quot;${version}&quot;" />
+			<rsr file="${gsdl.basedir}/common-src/src/lib/gsdlconf.h" pattern="(#define GSDL_VERSION) &quot;.*&quot;" replacement="$1 &quot;${version}${version-extra}&quot;" />
 		</if>
 
 		<if><bool><available file="${gsdl.basedir}/etc/VERSION"/></bool>
-			<rsr file="${gsdl.basedir}/etc/VERSION" pattern="(gsdl version: ).*" replacement="$1${version}" />
+			<rsr file="${gsdl.basedir}/etc/VERSION" pattern="(gsdl version: ).*" replacement="$1${version}${version-extra}" />
 		</if>
 
 		<if><bool><available file="${gsdl.basedir}/lib/java/server.properties"/></bool>
-			<rsr file="${gsdl.basedir}/lib/java/server.properties" pattern="^(Server2Control.Version[:=]).*" replacement="$1${version}" />
+			<rsr file="${gsdl.basedir}/lib/java/server.properties" pattern="^(Server2Control.Version[:=]).*" replacement="$1${version}${version-extra}" />
 		</if>
 
@@ -296,5 +298,5 @@
 			<rsr file="${gsdl.basedir}/READMEen.txt">
 				<job pattern="^(Date\s*)(.*)" replacement="$1${month.default} ${current.year}" />
-				<job pattern="^(Version\s*)(.*)" replacement="$1${version}" />
+				<job pattern="^(Version\s*)(.*)" replacement="$1${version}${version-extra}" />
 			</rsr>
 		</if>
@@ -304,5 +306,5 @@
 			<rsr file="${gsdl.basedir}/READMEar.txt">
 				<job pattern="(Ø§ÙØªØ§Ø±ÙØ® : \s*)(.*)" replacement="$1${month.ar} ${current.year}"/>
-				<job pattern="(Ø§ÙÙØ³Ø®Ù : \s*)(.*)" replacement="$1${version}"/>
+				<job pattern="(Ø§ÙÙØ³Ø®Ù : \s*)(.*)" replacement="$1${version}${version-extra}"/>
 			</rsr>
 		</if>
@@ -312,5 +314,5 @@
 			<rsr file="${gsdl.basedir}/READMEes.txt">
 				<job pattern="^(Fecha\s*)(.*)" replacement="$1${month.es} de ${current.year}"/>
-				<job pattern="^(Versi.?n\s*)(.*)" replacement="$1${version}"/>
+				<job pattern="^(Versi.?n\s*)(.*)" replacement="$1${version}${version-extra}"/>
 			</rsr>
 		</if>
@@ -320,5 +322,5 @@
 			<rsr file="${gsdl.basedir}/READMEfr.txt">
 				<job pattern="^(Date\s*)(.*)" replacement="$1${month.fr} ${current.year}"/>
-				<job pattern="^(Version\s*)(.*)" replacement="$1${version}"/>
+				<job pattern="^(Version\s*)(.*)" replacement="$1${version}${version-extra}"/>
 			</rsr>
 		</if>
@@ -328,5 +330,5 @@
 			<rsr file="${gsdl.basedir}/READMEru.txt">
 				<job pattern="^(ÐÐ°ÑÐ°\s*)(.*)" replacement="$1${month.ru} ${current.year}"/>
-				<job pattern="^(ÐÐµÑÑÐžÑ\s*)(.*)" replacement="$1${version}"/>
+				<job pattern="^(ÐÐµÑÑÐžÑ\s*)(.*)" replacement="$1${version}${version-extra}"/>
 			</rsr>
 		</if>
@@ -355,12 +357,12 @@
 			<!-- GLI GATHERER -->
 			<echo level="info">Changing version number in gli Gatherer</echo>
-			<rsr file="${glibasedir}/src/org/greenstone/gatherer/Gatherer.java" pattern="^(.*)String\s*PROGRAM_VERSION\s*=\s*&quot;(.*)&quot;" replacement="$1String PROGRAM_VERSION = &quot;${version}&quot;"/>
+			<rsr file="${glibasedir}/src/org/greenstone/gatherer/Gatherer.java" pattern="^(.*)String\s*PROGRAM_VERSION\s*=\s*&quot;(.*)&quot;" replacement="$1String PROGRAM_VERSION = &quot;${version}${version-extra}&quot;"/>
 
 			<!-- CONFIG XML FILES -->
 			<echo level="info">Changing configuration version in classes/xml/config.xml</echo>
-			<rsr file="${glibasedir}/classes/xml/config.xml" pattern="^(\s*&lt;Configuration.* version=&quot;)[^&quot;]*(&quot;.*&gt;)" replacement="$1${version}$2"/>
+			<rsr file="${glibasedir}/classes/xml/config.xml" pattern="^(\s*&lt;Configuration.* version=&quot;)[^&quot;]*(&quot;.*&gt;)" replacement="$1${version}${version-extra}$2"/>
 
 			<echo level="info">Changing configuration version in gli/classes/xml/configRemote.xml</echo>
-			<rsr file="${glibasedir}/classes/xml/configRemote.xml" pattern="^(\s*&lt;Configuration.* version=&quot;)[^&quot;]*(&quot;.*&gt;)" replacement="$1${version}$2"/>
+			<rsr file="${glibasedir}/classes/xml/configRemote.xml" pattern="^(\s*&lt;Configuration.* version=&quot;)[^&quot;]*(&quot;.*&gt;)" replacement="$1${version}${version-extra}$2"/>
 
 	</target>
Index: /main/trunk/release-kits/shared/core/ant-scripts/wrap.xml
===================================================================
--- /main/trunk/release-kits/shared/core/ant-scripts/wrap.xml	(revision 23492)
+++ /main/trunk/release-kits/shared/core/ant-scripts/wrap.xml	(revision 23493)
@@ -40,5 +40,5 @@
 				chunkSize="${resources.chunksize}"/>
 			<rsplit
-				resource="installer/Greenstone-${version}-${os.suffix}.jar"
+				resource="installer/Greenstone-${version}${version-extra}-${os.suffix}.jar"
 				outputDir="wrapped-installer"
 				resourceScript="wrapped-installer/wrapper.rc"
@@ -63,5 +63,5 @@
 			<!-- link wrapper -->
 			<exec executable="link" dir="wrapped-installer">
-				<arg line="/OUT:..\products\Greenstone-${version}-${os.suffix}.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper.res"/>
+				<arg line="/OUT:..\products\Greenstone-${version}${version-extra}-${os.suffix}.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper.res"/>
 			</exec>
 
@@ -79,5 +79,5 @@
 			<!-- copy bundled files into place -->
 			<copy todir="wrapped-installer" file="${rk.home}/shared/linux/${linux-java.installer}"/>
-			<copy tofile="wrapped-installer/greenstone.jar" file="installer/Greenstone-${version}-${os.suffix}.jar"/>
+			<copy tofile="wrapped-installer/greenstone.jar" file="installer/Greenstone-${version}${version-extra}-${os.suffix}.jar"/>
 
 			<!-- substitute in real values -->
@@ -122,5 +122,5 @@
 			<!-- link the compiled code and bundled files -->
 			<exec executable="g++" dir="wrapped-installer">
-				<arg line="-static -static-libgcc -o ../products/Greenstone-${version}-linux wrapper.o libsearch4j.o greenstone.jar.o java.o"/>
+				<arg line="-static -static-libgcc -o ../products/Greenstone-${version}${version-extra}-linux wrapper.o libsearch4j.o greenstone.jar.o java.o"/>
 			</exec>
 
@@ -133,15 +133,15 @@
 
 			<!-- create app for main installer -->
-			<copy todir="wrapped-installer/Greenstone${version}.app"><fileset dir="${rk.home}/shared/mac/Wrapper.app"/></copy>
-			<copy todir="wrapped-installer/Greenstone${version}.app/Contents/Resources" file="${rk.home}/shared/core/icon/icon.icns"/>
-			<chmod file="wrapped-installer/Greenstone${version}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
+			<copy todir="wrapped-installer/Greenstone${version}${version-extra}.app"><fileset dir="${rk.home}/shared/mac/Wrapper.app"/></copy>
+			<copy todir="wrapped-installer/Greenstone${version}${version-extra}.app/Contents/Resources" file="${rk.home}/shared/core/icon/icon.icns"/>
+			<chmod file="wrapped-installer/Greenstone${version}${version-extra}.app/Contents/MacOS/JavaApplicationStub" perm="ug+x"/>
 
 			<!-- copy bundled files -->
-			<copy todir="wrapped-installer/Greenstone${version}.app/Contents/Resources/Java" file="installer/Greenstone-${version}-${os.suffix}.jar"/>
+			<copy todir="wrapped-installer/Greenstone${version}${version-extra}.app/Contents/Resources/Java" file="installer/Greenstone-${version}${version-extra}-${os.suffix}.jar"/>
 
 			<!-- substitute in real values -->
-			<rsr file="wrapped-installer/Greenstone${version}.app/Contents/Info.plist">
-				<job pattern="@jar@" replacement="Greenstone-${version}-${os.suffix}.jar"/>
-				<job pattern="@version@" replacement="${version}"/>
+			<rsr file="wrapped-installer/Greenstone${version}${version-extra}.app/Contents/Info.plist">
+				<job pattern="@jar@" replacement="Greenstone-${version}${version-extra}-${os.suffix}.jar"/>
+				<job pattern="@version@" replacement="${version}${version-extra}"/>
 			</rsr>
 
@@ -149,15 +149,15 @@
 
 			<!-- get size of app -->
-			<exec executable="du" dir="wrapped-installer" outputproperty="app.du"><arg line="-ks Greenstone${version}.app"/></exec>
+			<exec executable="du" dir="wrapped-installer" outputproperty="app.du"><arg line="-ks Greenstone${version}${version-extra}.app"/></exec>
 			<exec executable="sed" inputstring="${app.du}" outputproperty="app.size"><arg line="-e 's/^\([0-9]*\).*$/\1/g'"/></exec>
 			<math result="dmg.size" operand1="${app.size}" operation="+" operand2="${dmg.overhead}" datatype="int"/>
 
 			<!-- create disk image -->
-			<property name="dmg.name" value="Greenstone-${version}-${os.suffix}"/>
+			<property name="dmg.name" value="Greenstone-${version}${version-extra}-${os.suffix}"/>
 			<exec dir="products" executable="hdiutil" failonerror="true"><arg line="create -ov -size ${dmg.size}k -fs HFS+ -volname ${dmg.name} ${dmg.name}.dmg"/></exec>
 			<!-- mount it -->
 			<exec executable="hdiutil" dir="products" failonerror="true"><arg line="attach ${dmg.name}.dmg"/></exec>
 			<!-- copy file into it -->
-			<exec executable="cp"><arg line="-r wrapped-installer/Greenstone${version}.app /Volumes/${dmg.name}"/></exec>
+			<exec executable="cp"><arg line="-r wrapped-installer/Greenstone${version}${version-extra}.app /Volumes/${dmg.name}"/></exec>
 			<!-- unmount it-->
 			<exec executable="hdiutil" failonerror="true"><arg line="detach /Volumes/${dmg.name}"/></exec>