Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23499)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23504)
@@ -685,8 +685,8 @@
 </Heading>
 <NumberedItem>
-<Text id="0381">Now we'll add a new browsing option based on the descriptions. In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/> from the left-hand list. Set the menu item for <AutoText key="glidict::CDM.ClassifierManager.Classifier"/> to <AutoText text="List" />; then click <AutoText key="glidict::CDM.ClassifierManager.Add" type="button"/>. A dialog for configuring this plugin will apppear. In here, click the <AutoText text="partition_type_within_level"/> check box and choose <AutoText text="none"/> from the drop-down list and click <AutoText key="glidict::General.OK" type="button"/>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0382">A window pops up to control the classifier's options. Set the <AutoText text="metadata"/> option to <AutoText key="metadata::dc.Description"/> and click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+<Text id="0381">Now we'll add a new browsing option based on the descriptions. In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/> from the left-hand list. Set the menu item for <AutoText key="glidict::CDM.ClassifierManager.Classifier"/> to <AutoText text="List" />, then click <AutoText key="glidict::CDM.ClassifierManager.Add" type="button"/>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0382">A window pops up to control the classifier's options. Set the <AutoText text="metadata"/> option to <AutoText key="metadata::dc.Description"/>. Next, click the <AutoText text="partition_type_within_level"/> check box and choose <AutoText text="none"/> from the drop-down list. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -871,5 +871,5 @@
 <NumberedItem>
 <Text id="fw-14">Next, we'll customize the format for the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list. Classifier bookshelves have only a few pieces of metadata to display: <Format>[ex.Title]</Format> and <Format>[numleafdocs]</Format>. Whatever metadata the classifier has been built on, the bookshelf label is always stored as <Format>[ex.Title]</Format>. This is why a Creator is printed out for each bookshelf even though <Format>[dc.Creator]</Format> is not specified in the format statement. <Format>[numleafdocs]</Format> is only defined for bookshelves, so this metadata can be used in an <Format>{If}</Format> statement to make bookshelves and documents display differently in the list.</Text> 
-<Text id="fw-15">Make each bookshelf in the Creator classifier show how many entries it contains. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText text="CL2 AZCompactList"/> classifier which is based on <AutoText key="metadata::dc.Creator"/> metadata from the <AutoText key="glidict::CDM.FormatManager.Feature"/> drop down list, and <AutoText text="VList"/> from the <AutoText key="glidict::CDM.FormatManager.Part"/> list. Click the <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> button to add this format into the list of assigned formats. Note that it gets added as <AutoText text="CL2VList"/> in this list: it is the <AutoText text="VList"/> format for the second (<AutoText text="CL2"/>) classifier.</Text>
+<Text id="fw-15">Make each bookshelf in the Creator classifier show how many entries it contains. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText text="CL2 AZCompactList"/> classifier (which is based on <AutoText key="metadata::dc.Creator"/> metadata) from the <AutoText key="glidict::CDM.FormatManager.Feature"/> drop down list, and <AutoText text="VList"/> from the <AutoText key="glidict::CDM.FormatManager.Part"/> list. Click the <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> button to add this format into the list of assigned formats. Note that it gets added as <AutoText text="CL2VList"/> in this list: it is the <AutoText text="VList"/> format for the second (<AutoText text="CL2"/>) classifier.</Text>
 <Text id="fw15a">Append the following text to the bottom of the format statement:</Text>
 <Format>
@@ -912,5 +912,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0321d-2">You may notice that the <AutoText text="AZCompactList"/> classifier has two options after the <AutoText text="metadata"/> option: <AutoText text="firstvalueonly"/> and <AutoText text="allvalues"/>. Manually added metadata can be used to replace or enhance automatically extracted metadata, and these options control exactly which pieces of metadata a document is classified by.</Text>
+<Text id="0321d-2">You may notice that the <AutoText text="AZCompactList"/> classifier's configuration dialog has two options after the <AutoText text="metadata"/> option: <AutoText text="firstvalueonly"/> and <AutoText text="allvalues"/>. Manually added metadata can be used to replace or enhance automatically extracted metadata, and these options control exactly which pieces of metadata a document is classified by.</Text>
 <Text id="0321d-3">For example, say we have two documents. Document 1 has four Creators specified (dc.Creator = dcA, dc.Creator = dcB, ex.Creator = exA, ex.Creator = exB), while document 2 has three (ex.Creator = exA, ex.Creator = exB, ex.Creator = exC). The following table shows which metadata values each document is classified by, for the different classifier options:</Text>
 <table>
@@ -1096,5 +1096,5 @@
 </Heading>
 <NumberedItem>
-<Text id="ew-8b">The Librarian Interface operates in three modes. Go to <Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Options"/> &rarr; <AutoText key="glidict::Preferences.Mode"/></Menu> and see the modes and what functionality they provide access to. <AutoText key="glidict::Preferences.Mode.Librarian"/> is the default mode.</Text>
+<Text id="ew-8b">The Librarian Interface operates in three modes. Go to <Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Options"/> &rarr; <AutoText key="glidict::Preferences.Mode"/></Menu> and see the modes and what functionality they provide access to. <AutoText key="glidict::Preferences.Mode.Librarian"/> is the default mode. Check that this is indeed the currently active mode.</Text>
 </NumberedItem>
 <Heading>
@@ -1132,10 +1132,10 @@
 </Format>
 <Text id="ew-12">These header options define which styles should be considered as title, level 1, level 2 and level 3 styles. </Text>
-<Text id="ew-12a">Ensure that the <AutoText text="windows_scripting"/> option is checked, and set the options as follows (spaces in the Word styles are removed when converting to HTML styles, and these options must match the HTML styles):</Text>
-<Format>
-level1_header:(ChapterTitle|AppendixTitle)<br/>
-level2_header: SectionHeading<br/>
-level3_header: SubsectionHeading<br/>
-title_header: ManualTitle
+<Text id="ew-12a">Ensure that the <AutoText text="windows_scripting"/> option is checked, and set the 4 header options to the values highlighted in the following (spaces in the Word styles are removed when converting to HTML styles, and these options must match the HTML styles):</Text>
+<Format>
+level1_header: <highlight>(ChapterTitle|AppendixTitle)</highlight><br/>
+level2_header: <highlight>SectionHeading</highlight><br/>
+level3_header: <highlight>SubsectionHeading</highlight><br/>
+title_header : <highlight>ManualTitle</highlight>
 </Format>
 <!--
@@ -1175,7 +1175,7 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ew-28">In the <AutoText key="glidict::GUI.Design"/> panel, under <AutoText key="glidict::CDM.GUI.Plugins"/>, configure <AutoText text="WordPlugin"/> once again. Switch on the configuration option <AutoText text="metadata_fields"/>. Set the value to </Text>
-<Format>
-Title,Author&lt;Creator&gt;,Subject,Keywords&lt;Subject&gt; 
+<Text id="ew-28">In the <AutoText key="glidict::GUI.Design"/> panel, under <AutoText key="glidict::CDM.GUI.Plugins"/>, configure <AutoText text="WordPlugin"/> once again. Switch on the configuration option <AutoText text="metadata_fields"/>. Set the value to the following (but make sure not to enter any trailing spaces)</Text>
+<Format>
+Title,Author&lt;Creator&gt;,Subject,Keywords&lt;Subject&gt;
 </Format>
 <Text id="ew-29">This will make <AutoText text="WordPlugin"/> try to extract Title, Author, Subject and Keywords metadata. Title and Subject will be saved with the same name, while Author will be saved as Creator metadata, and Keywords as Subject metadata.</Text>
@@ -1242,5 +1242,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0393">The browsing facilities in this collection (<AutoText key="coredm::_Global:labelTitle_" type="italics"/> and <AutoText key="coredm::_Global:labelSource_" type="italics"/>) are based entirely on extracted metadata. Return to the <AutoText key="glidict::GUI.Enrich"/> panel in the Librarian Interface and examine the metadata that has been extracted for some of the files.</Text>
+<Text id="0393">The browsing facilities in this collection (<AutoText key="coredm::_Global:labelTitle_" type="italics"/> and <AutoText key="coredm::_Global:labelSource_" type="italics"/>) are based entirely on extracted metadata. Switch to the <AutoText key="glidict::GUI.Enrich"/> panel in the Librarian Interface and examine the metadata that has been extracted for some of the files.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1696,5 +1696,5 @@
 &lt;td valign="top"&gt;[highlight]<br/>
 {Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}<br/>
-[/highlight]{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}
+[/highlight]{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}&lt;/td&gt;
 </Format>
 <Text id="0533-11c">Since there is no <AutoText key="metadata::dc.Title"/> metadata and <AutoText key="metadata::exp.Title"/> comes before <AutoText key="metadata::ex.Title"/>, the exploded titles will be displayed.</Text>
@@ -2024,10 +2024,10 @@
 <NumberedItem>
 <Text id="mf-67">Once you have identified the names of the images to be replaced, you need to find out where they occur in the macro files. To do this on Windows, you would search the macro files for the image names using the <AutoText text="find"/> program, which is run in a command prompt. Open a command prompt using <Menu>Start &rarr; Programs &rarr; Accessories &rarr; Command Prompt</Menu>, or <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> as the name of the program to run.</Text>
-<Text id="mf-68">You can type <Command>find/?</Command> to see a description of the program and its arguments.</Text>
+<Text id="mf-68">You can type <Command>findstr/?</Command> to see a description of the program and its arguments.</Text>
 <Text id="mf-69">To search the macro files for <i><AutoText text="gsdlhead.gif" /></i> type</Text>
-<Command>find "gsdlhead.gif" "C:\Program Files\Greenstone\macros\*.dm"</Command>
-<Text id="mf-70"><AutoText text="*.dm"/> means all files ending in <AutoText text=".dm"/>. A list of all macro files will be displayed, along with any matches. You will see that <Path>home.dm</Path> and <Path>exported_home.dm</Path> both contain <AutoText text="gsdlhead.gif"/>. <Path>home.dm</Path> is the one you want to edit&mdash;<Path>exported_home.dm</Path> is used for the home page when you export a collection to CD-ROM.</Text>
+<Command>findstr /s /m /C:"gsdlhead.gif" "C:\Program Files\Greenstone\macros\*.dm"</Command>
+<Text id="mf-70"><AutoText text="*.dm"/> means all files ending in <AutoText text=".dm"/> (while <AutoText text="/s"/> tells it to search within subfolders and <AutoText text="/m"/> lists the files that matched). A list of all macro files will be displayed, along with any matches. You will see that <Path>home.dm</Path> and <Path>exported_home.dm</Path> both contain <AutoText text="gsdlhead.gif"/>. <Path>home.dm</Path> is the one you want to edit&mdash;<Path>exported_home.dm</Path> is used for the home page when you export a collection to CD-ROM.</Text>
 <Text id="mf-71">Do the same thing for <i><AutoText text="chalk.gif" /></i>:</Text>
-<Command>find "chalk.gif" "C:\Program Files\Greenstone\macros\*.dm"</Command>
+<Command>findstr /s /m /C:"chalk.gif" "C:\Program Files\Greenstone\macros\*.dm"</Command>
 <Text id="mf-72"><Path>base.dm</Path> and <Path>style.dm</Path> are the only files that mention this image.</Text>
 <Text id="mf-73">Close the command prompt.</Text>
@@ -2304,5 +2304,5 @@
 </Bullet>
 <Bullet>
-<Text id="0637">Activate <AutoText text="removesuffix"/> and set it to:</Text>
+<Text id="0637">Click the <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/> button on it. Activate its <AutoText text="removesuffix"/> option and set it to:</Text>
 <Format>(?i)(\\s+\\d+)|(\\s+[[:punct:]].*)</Format> 
 </Bullet>