Index: /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23524)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 23525)
@@ -7,7 +7,5 @@
 			<bool>
 				<or>
-					<equals arg1="${branch.path}" arg2="trunk"/>
-					<equals arg1="${branch.path}" arg2="tags/stable"/>
-					<isgreaterthan arg1="${branch.tag.version}" arg2="2.83"/>
+					<equals arg1="${post.2.83.version}" arg2="true"/>
 				</or>
 			</bool>
@@ -53,7 +51,5 @@
 			<!-- checkout the gnome support library extension-->
 			<if><bool><or>
-				<equals arg1="${branch.path}" arg2="trunk"/>
-				<equals arg1="${branch.path}" arg2="tags/stable"/>
-				<isgreaterthan arg1="${branch.tag.version}" arg2="2.83"/>
+			      <equals arg1="${post.2.83.version}" arg2="true"/>
 			</or></bool>
 				<!-- Check out the pre-compiled version of the gnome-lib extension rather than compiling it from scratch -->
@@ -61,5 +57,5 @@
 				<exec executable="svn">
 					<arg value="export"/>
-					<arg value="${svn.root}/gs2-extensions/gnome-lib/trunk/gnome-lib-${os.shell}.tar.gz"/>
+					<arg value="${svn.root}/gs2-extensions/gnome-lib/trunk/gnome-lib-${os.shell}${extension-x64}.tar.gz"/>
 					<arg value="${basedir}/compiled/ext/gnome-lib-${os.shell}.tar.gz"/>
 				</exec>
@@ -86,7 +82,5 @@
 			<!-- unzip expat if the version is less that 2.84 -->
 			<if><bool><and>
-				<not><equals arg1="${branch.path}" arg2="trunk"/></not>
-				<not><equals arg1="${branch.path}" arg2="tags/stable"/></not>
-				<islessthan arg1="${branch.tag.version}" arg2="2.84"/>
+			      <equals arg1="${post.2.83.version}" arg2="false"/>
 			</and></bool>
 				<unzip src="${basedir}/compiled/common-src/packages/windows/expat/expat.zip" dest="${basedir}/compiled/common-src/packages/windows/expat"/>
@@ -100,7 +94,5 @@
 			<if><bool><not><available file="${basedir}/compiled/bin/windows"/></not></bool>
 				<if><bool><and>
-					<not><equals arg1="${branch.path}" arg2="trunk"/></not>
-					<not><equals arg1="${branch.path}" arg2="tags/stable"/></not>
-					<isgreaterthan arg1="${branch.tag.version}" arg2="2.83"/>
+				      <equals arg1="${post.2.83.version}" arg2="true"/>
 				</and></bool>
 					
@@ -384,11 +376,9 @@
 		<else><if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
 
-			<!-- grab imagemagick and wv binaries -->
+			<!-- grab imagemagick and wv (if less than 2.84) binaries -->
 			<delete dir="compiled/bin/linux/imagemagick"/>
 
 			<if><bool><or>
-				<equals arg1="${branch.path}" arg2="trunk"/>
-				<equals arg1="${branch.path}" arg2="tags/stable"/>
-				<isgreaterthan arg1="${branch.tag.version}" arg2="2.83"/>
+			      <equals arg1="${post.2.83.version}" arg2="true"/>
 			</or></bool>
 				<exec executable="svn">
@@ -428,7 +418,5 @@
 
 			<if><bool><and>
-				<not><equals arg1="${branch.path}" arg2="trunk"/></not>
-				<not><equals arg1="${branch.path}" arg2="tags/stable"/></not>
-				<isgreaterthan arg1="${branch.tag.version}" arg2="2.83"/>
+			      <equals arg1="${post.2.83.version}" arg2="true"/>
 			</and></bool>
 
@@ -480,7 +468,5 @@
 
 			<if><bool><and>
-				<not><equals arg1="${branch.path}" arg2="trunk"/></not>
-				<not><equals arg1="${branch.path}" arg2="tags/stable"/></not>
-				<isgreaterthan arg1="${branch.tag.version}" arg2="2.83"/>
+			      <equals arg1="${post.2.83.version}" arg2="true"/>
 			</and></bool>
 				<get src="${svn.root}/main/${branch.path}/binaries/windows/bin/Setup.exe" dest="compiled/bin/windows/Setup.exe"/>
Index: /main/trunk/release-kits/shared/core/ant-scripts/shared.xml
===================================================================
--- /main/trunk/release-kits/shared/core/ant-scripts/shared.xml	(revision 23524)
+++ /main/trunk/release-kits/shared/core/ant-scripts/shared.xml	(revision 23525)
@@ -11,49 +11,4 @@
 		<property environment="env"/>
 
-		<!-- CONSTANTS (overridable in build.properties) -->
-
-		<!-- svn root -->
-		<property name="svn.root" value="http://svn.greenstone.org" />
-
-		<!-- the minimum version of java which the installer should be run with (this gets used in search4j) -->
-		<property name="java.min.version" value="1.4.0_00"/>
-
-		<!-- create a localised basedir property -->
-		<path id="basedir.path"><pathelement location="${basedir}"/></path>
-		<property name="basedir.local" refid="basedir.path"/>
-
-		<!-- size of resource chunks (windows wrapper) -->
-		<property name="resources.chunksize" value="8388608"/>
-
-		<!-- the extra space for the dmg image in KB (mac wrapper) -->
-        	<property name="dmg.overhead" value="2048"/>
-
-		<!-- current date and time -->
-		<tstamp>
-			<format property="current.month" pattern="MMM"/>
-			<format property="current.year" pattern="yyyy"/>
-			<format property="date" pattern="yyyy.MM.dd"/>
-		</tstamp>
-
-		<!-- BUNDLED JAVA INFO -->
-		<!-- the bundled javas are kept in shared/linux/wrapper and shared/windows/wrapper in the repository -->
-		<!-- change this info when the bundled version changes -->
-		<property name="java.extracted" value="jre"/> <!-- set this to the name of the top level directory in the above archive -->
-
-		<!-- linux -->
-		<property name="linux-java.installer" value="jre_bin"/>
-		<property name="bundled.version.linux-java" value="1.6.0_05"/> <!-- set this to the version number of java in the above archive -->
-		<property name="component.bytesize.linux-java" value="101245987"/> <!-- set this to the size of the extract archive -->
-
-		<!-- windows -->
-		<property name="windows-java.installer" value="jre.exe"/>
-		<property name="bundled.version.windows-java" value="1.6.0_07"/> <!-- set this to the version number of java in the above archive -->
-		<property name="component.bytesize.windows-java" value="75000000"/> <!-- set this to the size of the extract archive -->
-
-		<!-- version numbers of other bundled things -->
-		<property name="bundled.version.imagemagick" value="6.4.3"/>
-		<property name="bundled.version.ghostscript" value="8.63"/>
-		<property name="bundled.version.tomcat" value="6.0.20"/>
-	
 		<!-- CLASSPATH -->
 		<path id="project.classpath">
@@ -90,28 +45,68 @@
 		<typedef name="get-property-value" classname="org.greenstone.anttasks.GetPropertyValue" classpathref="project.classpath"/>
 
+		<!-- CONSTANTS (overridable in build.properties) -->
+
+		<!-- svn root -->
+		<property name="svn.root" value="http://svn.greenstone.org" />
+
+		<!-- the minimum version of java which the installer should be run with (this gets used in search4j) -->
+		<property name="java.min.version" value="1.4.0_00"/>
+
+		<!-- create a localised basedir property -->
+		<path id="basedir.path"><pathelement location="${basedir}"/></path>
+		<property name="basedir.local" refid="basedir.path"/>
+
+		<!-- size of resource chunks (windows wrapper) -->
+		<property name="resources.chunksize" value="8388608"/>
+
+		<!-- the extra space for the dmg image in KB (mac wrapper) -->
+        	<property name="dmg.overhead" value="2048"/>
+
+		<!-- current date and time -->
+		<tstamp>
+			<format property="current.month" pattern="MMM"/>
+			<format property="current.year" pattern="yyyy"/>
+			<format property="date" pattern="yyyy.MM.dd"/>
+		</tstamp>
+
+		<!-- extra features -->
+		<property name="version-extra" value="" />
+		<property name="post.2.83.version" value="true" />
+		<property name="x64" value="false" />
+
+		<if>
+		  <bool><equals arg1="${x64}" arg2="true"/></bool>
+		  <property name="extension-x64" value="-x64" />
+		  <property name="extension_x64" value="_x64" />
+		  <else>
+		    <property name="extension-x64" value="" />
+		    <property name="extension_x64" value="" />
+		  </else>
+		</if>
+
+		<!-- BUNDLED JAVA INFO -->
+		<!-- the bundled javas are kept in shared/linux/wrapper and shared/windows/wrapper in the repository -->
+		<!-- change this info when the bundled version changes -->
+		<property name="java.extracted" value="jre"/> <!-- set this to the name of the top level directory in the above archive -->
+
+		<!-- linux -->
+		<property name="linux-java.installer" value="jre_bin${extension_x64}"/>
+		<property name="bundled.version.linux-java" value="1.6.0_05"/> <!-- set this to the version number of java in the above archive -->
+		<property name="component.bytesize.linux-java" value="101245987"/> <!-- set this to the size of the extract archive -->
+
+		<!-- windows -->
+		<property name="windows-java.installer" value="jre.exe"/>
+		<property name="bundled.version.windows-java" value="1.6.0_07"/> <!-- set this to the version number of java in the above archive -->
+		<property name="component.bytesize.windows-java" value="75000000"/> <!-- set this to the size of the extract archive -->
+
+		<!-- version numbers of other bundled things -->
+		<property name="bundled.version.imagemagick" value="6.4.3"/>
+		<property name="bundled.version.ghostscript" value="8.63"/>
+		<property name="bundled.version.tomcat" value="6.0.20"/>
+	
 		<!-- default revision and branch path -->
 		<property name="branch.revision" value="HEAD" />
-		<property name="branch.tag.name" value="trunk" />
-		<property name="branch.tag.version" value="" />
-
-		<property name="version-extra" value="" />
-
-		<if><bool><equals arg1="${branch.tag.name}" arg2="trunk" /></bool>
-
-		  <property name="branch.path" value="${branch.tag.name}" />
-		  
-		  <else>
-		    <if>
-		      <bool>
-			<not><equals arg1="${branch.tag.version}" arg2="" /></not>
-		      </bool>
-		      <property name="branch.path" value="${branch.tag.name}/${branch.tag.version}" />
-		      <else>
-			<fail>Cannot use use a branch.tag.name that is not 'trunk' without also defining branch.tag.version</fail>
-		      </else>
-		    </if>
-		  </else>
-		</if>
-	
+		<property name="branch.path" value="trunk" />
+		  	
 		<!-- DATES IN DIFFERENT LANGUAGES -->
 		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="ar.Dates.${current.month}" outputProperty="month.ar"/>
Index: /main/trunk/release-kits/shared/core/ant-scripts/wrap.xml
===================================================================
--- /main/trunk/release-kits/shared/core/ant-scripts/wrap.xml	(revision 23524)
+++ /main/trunk/release-kits/shared/core/ant-scripts/wrap.xml	(revision 23525)
@@ -89,10 +89,21 @@
 
 			<!-- create an object file (extension .o) for each file to bundle -->
+			<if><bool><equals arg1="${x64}" arg2="true"/></bool>
 			<exec executable="/usr/bin/objcopy" dir="wrapped-installer">
-				<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_greenstone_jar_start=greenstonejar --readonly-text greenstone.jar greenstone.jar.o"/>
+			  <arg line="-I binary -O elf64-x86-64 -B i386 --redefine-sym _binary_greenstone_jar_start=greenstonejar --readonly-text greenstone.jar greenstone.jar.o"/>
 			</exec>
 			<exec executable="/usr/bin/objcopy" dir="wrapped-installer">
-				<arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_${linux-java.installer}_start=java --readonly-text ${linux-java.installer} java.o"/>
+			  <arg line="-I binary -O elf64-x86-64 -B i386 --redefine-sym _binary_${linux-java.installer}_start=java --readonly-text ${linux-java.installer} java.o"/>
 			</exec>
+
+			<else>
+			  <exec executable="/usr/bin/objcopy" dir="wrapped-installer">
+			    <arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_greenstone_jar_start=greenstonejar --readonly-text greenstone.jar greenstone.jar.o"/>
+			  </exec>
+			  <exec executable="/usr/bin/objcopy" dir="wrapped-installer">
+			    <arg line="-I binary -O elf32-i386 -B i386 --redefine-sym _binary_${linux-java.installer}_start=java --readonly-text ${linux-java.installer} java.o"/>
+			  </exec>
+			 </else>
+			</if>
 
 			<!-- compile libsearch4j -->