Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23550)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 23552)
@@ -2965,5 +2965,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0759">In your Windows file browser, locate the <Path>archives</Path> folder for the collection you are working with (in <Path>Greenstone &rarr; collect &rarr; &lt;collname&gt; &rarr; archives</Path>). For each document in the collection, Greenstone has generated two files: <Path>docmets.xml</Path>, the core METS description, and <Path>doctxt.xml</Path>, a supporting file. (Note: unless you are connected to the Internet you will be unable to view <Path>doctxt.xml</Path> in your web browser, because it refers to a remote resource.) Depending on the source documents there may be additional files, such as the images used within a web page. One of METS' many features is the ability to reference information in external XML files. Greenstone uses this to tie the content of the document, which is stored in the external XML file <Path>doctxt.xml</Path>, to its hierarchical structure, which is described in the core METS file <Path>docmets.xml</Path>.</Text>
+<Text id="0759">In your Windows file browser, locate the <Path>archives</Path> folder for the collection you are working with (in <Path>Greenstone &rarr; collect &rarr; &lt;collname&gt; &rarr; archives</Path>). For each document in the collection, Greenstone has generated two files: <Path>docmets.xml</Path>, the core METS description, and <Path>doctxt.xml</Path>, a supporting file. (Note: unless you are connected to the Internet you may be unable to view <Path>doctxt.xml</Path> in your web browser, because it refers to a remote resource.) Depending on the source documents there may be additional files, such as the images used within a web page. One of METS' many features is the ability to reference information in external XML files. Greenstone uses this to tie the content of the document, which is stored in the external XML file <Path>doctxt.xml</Path>, to its hierarchical structure, which is described in the core METS file <Path>docmets.xml</Path>.</Text>
 </NumberedItem>
 </Content>
@@ -3017,5 +3017,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/>. Select the <AutoText key="metadata::ex.Source"/> <AutoText text="List" /> classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Change the <AutoText text="metadata"/> option to <AutoText key="metadata::dc.Contributor"/>. Activate the <AutoText text="bookshelf_type"/> option and set its value to <AutoText text="always"/>. Activate the <AutoText text="partition_type_within_level"/> option and set it to <AutoText text="none"/>.</Text>
+<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/>. Select the <AutoText key="metadata::ex.Source"/> <AutoText text="List" /> classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Change the <AutoText text="metadata"/> option to <AutoText key="metadata::dc.Contributor"/>. Activate the <AutoText text="bookshelf_type"/> option and set its value to <AutoText text="always"/>. Activate the <AutoText text="partition_type_within_level"/> option and set it to <AutoText text="none"/>. Click <AutoText key="glidict::General.OK" type="button"/> to close the dialog.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3043,5 +3043,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0786"><b>Build</b> collection once again and <b>preview</b> it.</Text>
+<Text id="0786"><b>Build</b> the collection once again and <b>preview</b> it.</Text>
 </NumberedItem>
 <Comment>
@@ -3158,8 +3158,8 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="indexers-9">Go to the <AutoText key="glidict::GUI.Enrich"/> panel, look at the metadata that associated with each directory. Go to the <AutoText key="glidict::CDM.GUI.Indexes"/> section in the <AutoText key="glidict::GUI.Design"/> panel. The <b>MGPP indexer</b> is in use because the <b>Greenstone Demo</b> collection, which this collection is based on, uses <b>MGPP indexer</b>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="indexers-11">Click the <AutoText key="glidict::CDM.BuildTypeManager.Change"/> button at the right top corner of the panel. A new window will pop up for selecting the Indexers. After selecting an indexer, a brief description will appear in the box below. Select Lucene and click <AutoText key="glidict::General.OK"/>. Please note that the <AutoText key="glidict::CDM.IndexManager.Indexes"/> has changed accordingly.</Text>
+<Text id="indexers-9">Go to the <AutoText key="glidict::GUI.Enrich"/> panel, look at the metadata that is associated with each directory. Go to the <AutoText key="glidict::CDM.GUI.Indexes"/> section in the <AutoText key="glidict::GUI.Design"/> panel. The <b>MGPP indexer</b> is in use because the <b>Greenstone Demo</b> collection, which this collection is based on, uses the <b>MGPP indexer</b>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="indexers-11">Click the <AutoText key="glidict::CDM.BuildTypeManager.Change"/> button at the right top corner of the panel. A new window will pop up for selecting the Indexers. After selecting an indexer, a brief description will appear in the box below. Select Lucene and click <AutoText key="glidict::General.OK"/>. Please note that the <AutoText key="glidict::CDM.IndexManager.Indexes"/> section may have changed accordingly.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3173,5 +3173,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="lucene-1"><b>*</b> is a multiple letter wildcard. To perform a a multiple letter wildcard  search, append <b>*</b> to the end of the query term. For example, <i>econom*</i> will search for words like <i>econometrics</i>, <i>economist</i>, <i>economical</i>, <i>economy</i>, which have the common part <i>econom</i> but different word endings.</Text>
+<Text id="lucene-1"><b>*</b> is a multiple letter wildcard. To perform a multiple letter wildcard  search, append <b>*</b> to the end of the query term. For example, <i>econom*</i> will search for words like <i>econometrics</i>, <i>economist</i>, <i>economical</i>, <i>economy</i>, which have the common part <i>econom</i> but different word endings.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3191,5 +3191,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="indexers-22">Go to the <AutoText key="glidict::CDM.GUI.Indexes"/> section in the <AutoText key="glidict::GUI.Design"/> panel, click the <AutoText key="glidict::CDM.BuildTypeManager.Change"/> button and select <b>MGPP</b>, in case it isn't active already. Click <AutoText key="glidict::General.OK"/>. Check the <AutoText key="glidict::CDM.IndexManager.Indexes"/> has changed accordingly.</Text>
+<Text id="indexers-22">Go to the <AutoText key="glidict::CDM.GUI.Indexes"/> section in the <AutoText key="glidict::GUI.Design"/> panel, click the <AutoText key="glidict::CDM.BuildTypeManager.Change"/> button and select <b>MGPP</b>, in case it isn't active already. Click <AutoText key="glidict::General.OK"/>. The <AutoText key="glidict::CDM.IndexManager.Indexes"/> section may have changed accordingly.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3206,9 +3206,9 @@
 </Heading>
 <NumberedItem>
-<Text id="indexers-26">MGPP supports stemming and casefolding. By default search in collections built with MGPP indexer is set to <AutoText key="coredm::_preferences:textnostem_"/> and <AutoText key="coredm::_preferences:textignorecase_"/>. So search <i>econom</i> will return 0 document. Search for <i>fao</i> and <i>FAO</i> return the same result &mdash; 78 word counts and 9 matched documents.</Text>
-<Text id="indexers-26a">Go to the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page by click the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> button at the top right corner. You can see that the <AutoText key="coredm::_preferences:textwordends_"/> option is set to <AutoText key="coredm::_preferences:textnostem_"/> and the <AutoText key="coredm::_preferences:textcasediffs_"/> option is set to <AutoText key="coredm::_preferences:textignorecase_"/>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="indexers-27">Sometimes we may want to ignore word endings while searching so as to match different variations of the term. Go to the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page and change the <AutoText key="coredm::_preferences:textwordends_"/> option from <AutoText key="coredm::_preferences:textnostem_"/> to <AutoText key="coredm::_preferences:textstem_"/>. Click the <AutoText key="coredm::_preferences:textsetprefs_"/> button. Click <AutoText key="coredm::_Global:textSearch_"/>. This time try search for <i>econom</i> again, 9 documents are found.</Text>
+<Text id="indexers-26">MGPP supports stemming and casefolding. By default search in collections built with MGPP indexer is set to <AutoText key="coredm::_preferences:textnostem_"/> and <AutoText key="coredm::_preferences:textignorecase_"/>. So search <i>econom</i> will return 0 documents. Search for <i>fao</i> and <i>FAO</i> return the same result &mdash; 78 word counts and 9 matched documents.</Text>
+<Text id="indexers-26a">Go to the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page by clicking the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> button at the top right corner. You can see that the <AutoText key="coredm::_preferences:textwordends_"/> option is set to <AutoText key="coredm::_preferences:textnostem_"/> and the <AutoText key="coredm::_preferences:textcasediffs_"/> option is set to <AutoText key="coredm::_preferences:textignorecase_"/>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="indexers-27">Sometimes we may want to ignore word endings while searching so as to match different variations of the term. Go to the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page and change the <AutoText key="coredm::_preferences:textwordends_"/> option from <AutoText key="coredm::_preferences:textnostem_"/> to <AutoText key="coredm::_preferences:textstem_"/>. Click the <AutoText key="coredm::_preferences:textsetprefs_"/> button. Click <AutoText key="coredm::_Global:textSearch_"/>. This time try searching for <i>econom</i> again, 9 documents are found.</Text>
 <Text id="indexers-27a">Please note that word endings are determined according to the third-party stemming tables incorporated in Greenstone, not by the user. Thus the searches may not do precisely what is expected, especially when cultural variations or dialects are concerned. Besides, not all languages support stemming, only English and French have stemming at the moment.</Text>
 <Text id="indexers-27b">Go to the <AutoText key="coredm::_Global:linktextPREFERENCES_"/> page and change back to <AutoText key="coredm::_preferences:textnostem_"/> to avoid confusion later on. Click the <AutoText key="coredm::_preferences:textsetprefs_"/> button.</Text>
@@ -3232,5 +3232,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="mgpp-5">Hotkeys <b>#i</b> and <b>#c</b> control the case sensitivity. Appending <b>#i</b> to a query term will explicitly set the search to <AutoText key="coredm::_preferences:textignorecase_"/> (ie. case insensitive).</Text>
+<Text id="mgpp-5">Hotkeys <b>#i</b> and <b>#c</b> control the case sensitivity. Appending <b>#i</b> to a query term will explicitly set the search to <AutoText key="coredm::_preferences:textignorecase_"/> (i.e. case insensitive).</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3261,7 +3261,7 @@
 <Version initial="2.71" current="2.84"/>
 <Content>
-<Text id="depositor-2">Collections built with the <i>Lucene</i> indexer support incremental addition, updates, and deletion of documents and metadata. The <b>import</b> and <b>build</b> processes by default delete old index files in the <b>index</b> directory and intermediate files in the <b>archives</b> directory. With incremental building, the <b>import</b> and <b>build</b> process will keep the old files and only process the new or modified ones.</Text>
+<Text id="depositor-2">Collections built with the <i>Lucene</i> indexer support incremental addition, updates, and deletion of documents and metadata. By default, the <b>import</b> and <b>build</b> processes delete old index files in the <b>index</b> directory and intermediate files in the <b>archives</b> directory. With incremental building, the <b>import</b> and <b>build</b> process will keep the old files and only process the new or modified ones.</Text>
 <Text id="depositor-2a">Incremental import can be done with any collection, but incremental modification of the indexes can only be done for collections that use the Lucene indexer.</Text>
-<Text id="depositor-3">The first part of this tutorial looks at using the <AutoText key="coredm::_depositor:textdepositor_"/> for incremental building. The depositor only supports addition of new documents and associated metadata. If you want to delete or modify existing documents and their metadata, you will need to use GLI or command line building.</Text>
+<Text id="depositor-3">The first part of this tutorial looks at using <AutoText key="coredm::_depositor:textdepositor_"/> for incremental building. <AutoText key="coredm::_depositor:textdepositor_"/> only supports addition of new documents and associated metadata. If you want to delete or modify existing documents and their metadata, you will need to use GLI or command line building.</Text>
 <Heading>
 <Text id="depositor-5"><AutoText key="coredm::_depositor:textdepositor_"/></Text>
@@ -3280,5 +3280,5 @@
 <Text id="depositor-user1">The Greenstone admin pages are used to add new users and modify their group settings. Admin pages may have been enabled when you installed Greenstone. If not, they can be activated by changing the "status" line in the <Path>main.cfg</Path> file and changing <i>disabled</i> to <i>enabled</i></Text>
 <NumberedItem>
-<Text id="depositor-user2">To access the administration pages, go to your Greenstone home page and click the <AutoText key="coredm::_home:textadmin_"/> (below the list of collections). To see the list of users, click the <AutoText key="auxdm::_status:textlistusers_"/> link on the left under <AutoText key="auxdm::_status:textusermanage_"/> section. You will need to sign in. You can use the admin account, or any other account which has been added to the <AutoText text="administrator"/> group. If you didn't set up the admin pages when you installed Greenstone, then a default admin account will be created with password "admin". PLease change this immediately.</Text>
+<Text id="depositor-user2">To access the administration pages, go to your Greenstone home page and click the <AutoText key="coredm::_home:textadmin_"/> (below the list of collections). To see the list of users, click the <AutoText key="auxdm::_status:textlistusers_"/> link on the left under <AutoText key="auxdm::_status:textusermanage_"/> section. You will need to sign in. You can use the admin account, or any other account which has been added to the <AutoText text="administrator"/> group. If you didn't set up the admin pages when you installed Greenstone, then a default admin account will be created with password "admin". Please change this immediately.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3289,5 +3289,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="depositor-user5">At the end of each user entry there are two links: <AutoText key="auxdm::_userslistusers:textedituser_"/> and <AutoText key="auxdm::_userslistusers:textdeleteuser_"/>. Click <AutoText key="auxdm::_userslistusers:textedituser_"/> on the <AutoText text="demo"/> user account, and you will be shown more detailed information about the demo user. Add <AutoText text="demoluce-collections-editor"/> at the end of the <AutoText key="auxdm::_userslistusers:textgroups_"/> line, using a comma to separate group entries. (Note, if your collection shortname is not demoluce, then replace demoluce with the appropriate name in ***-collection-editor.</Text>
+<Text id="depositor-user5">At the end of each user entry there are two links: <AutoText key="auxdm::_userslistusers:textedituser_"/> and <AutoText key="auxdm::_userslistusers:textdeleteuser_"/>. Click <AutoText key="auxdm::_userslistusers:textedituser_"/> on the <AutoText text="demo"/> user account, and you will be shown more detailed information about the demo user. Add <AutoText text="demoluce-collection-editor"/> at the end of the <AutoText key="auxdm::_userslistusers:textgroups_"/> line, using a comma to separate group entries. (Note, if your collection shortname is not demoluce, then replace demoluce with the appropriate name in ***-collection-editor.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3318,5 +3318,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="depositor-13">Click the <AutoText key="auxdm::_depositor:textintro_"/> button. Click the <b>Browse...</b> button and select <Path>sample_files &rarr; demo &rarr; new &rarr; r9006e.htm</Path>, click the <AutoText key="auxdm::_depositor:textconfirm_"/> button and check the document has been uploaded successfully.</Text>
+<Text id="depositor-13">Click the <AutoText key="auxdm::_depositor:textintro_"/> button. Click the <b>Choose File</b> button and select <Path>sample_files &rarr; demo &rarr; new &rarr; r9006e.htm</Path>, click the <AutoText key="auxdm::_depositor:textconfirm_"/> button and check the document has been uploaded successfully.</Text>
 </NumberedItem>
 <NumberedItem>